gslsys_lib = static_library('gslsys',
	[ 
		'minmax.c',
		'prec.c',
		'hypot.c',
		'log1p.c',
		'expm1.c',
		'coerce.c',
		'invhyp.c',
		'pow_int.c',
		'infnan.c',
		'fdiv.c',
		'fcmp.c',
		'ldfrexp.c'
	],
	include_directories : '..'
)
gslsys_dep = declare_dependency(link_with : gslsys_lib)


gsl_tests += [ [ 'GSL SYS Test', files('test.c') ] ]
